/*
 * Querydsl query type
 *
 *
 */
package de.ivu.elect.business.person.entity;

import static com.querydsl.core.types.PathMetadataFactory.*;

import com.querydsl.core.types.Path;
import com.querydsl.core.types.PathMetadata;
import com.querydsl.core.types.dsl.EntityPathBase;
import com.querydsl.core.types.dsl.NumberPath;
import com.querydsl.core.types.dsl.StringPath;
import com.querydsl.core.types.dsl.EnumPath;
import com.querydsl.core.types.dsl.DateTimePath;
import com.querydsl.core.types.dsl.SetPath;
import com.querydsl.core.types.dsl.BooleanPath;
import com.querydsl.core.types.dsl.PathInits;

@javax.enterprise.inject.Vetoed
@javax.annotation.Generated("de.ivu.takatuka")
public class QPersonendatenDateiExport extends EntityPathBase<PersonendatenDateiExport> {

  private static final long serialVersionUID = -1;

  // Wird benötigt zur Initialisierung der Entitäten. Verhindert Schleifen, initialisiert standardmäßig aber nur direkte Referenzen, nicht mehrere Ebenen. Mehrere Ebenen müssen explizit angegeben werden.
  private static final PathInits INITS_SAFE = new PathInits("*"
	// Datei
, "datei.mandant"
, "datei.wahltermin"
, "datei.wahl"
	// Personendaten
, "personendaten.anschrift"
, "personendaten.customDataStorage"
, "personendaten.erreichbarkeitsanschrift"
, "personendaten.foto"
, "personendaten.kontoverbindung"
, "personendaten.wahltermin"
, "personendaten.wahl"
);

  private static final PathInits INITS = de.ivu.elect.jee.entity.QueryDsl.DIREKT_4_EBENEN;

  public static final QPersonendatenDateiExport personendatenDateiExport = new QPersonendatenDateiExport("personendatenDateiExport");

  public final NumberPath<Long> id = createNumber("id", Long.class);

  public final StringPath bemerkung = createString("bemerkung");

  public final StringPath benutzerkennung = createString("benutzerkennung");

  public final StringPath dateiname = createString("dateiname");

  public final EnumPath<de.ivu.elect.business.exchange.entity.DateiExportArt> dateiArt = createEnum("dateiArt", de.ivu.elect.business.exchange.entity.DateiExportArt.class);

  public final EnumPath<de.ivu.elect.business.dokumente.entity.DokumentVorlageArt> dokumentVorlageArt = createEnum("dokumentVorlageArt", de.ivu.elect.business.dokumente.entity.DokumentVorlageArt.class);

  public final StringPath dokumentVorlageDateiname = createString("dokumentVorlageDateiname");

  public final StringPath dokumentVorlageName = createString("dokumentVorlageName");

  public final DateTimePath erstellungszeitpunkt = createDateTime("erstellungszeitpunkt", java.sql.Timestamp.class);


  // Beziehungen N:1 unidirektional

  public final de.ivu.elect.business.datei.entity.QDatei datei;

  public final de.ivu.elect.business.person.entity.QPersonendaten personendaten;

  // Beziehungen N:1 bidirektional


  // Beziehungen 1:N bidirektional

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

  public QPersonendatenDateiExport(Class<? extends PersonendatenDateiExport> type, PathMetadata metadata, PathInits inits) {
    super(type, metadata, inits);
    this.datei = inits.isInitialized("datei") ? new de.ivu.elect.business.datei.entity.QDatei(forProperty("datei"), inits.get("datei")) : null;// de.ivu.elect.business.datei.entity.QDatei.datei;
    this.personendaten = inits.isInitialized("personendaten") ? new de.ivu.elect.business.person.entity.QPersonendaten(forProperty("personendaten"), inits.get("personendaten")) : null;// de.ivu.elect.business.person.entity.QPersonendaten.personendaten;
  }

  public QPersonendatenDateiExport(String variable) {
    this(PersonendatenDateiExport.class, forVariable(variable), INITS);
  }

  public QPersonendatenDateiExport(Path<? extends PersonendatenDateiExport> path) {
    this(path.getType(), path.getMetadata(), path.getMetadata().isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QPersonendatenDateiExport(PathMetadata metadata) {
    this(metadata, metadata.isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QPersonendatenDateiExport(PathMetadata metadata, PathInits inits) {
    this(PersonendatenDateiExport.class, metadata, inits);
  }
}
